import { GoogleActionsResponse } from '../interfaces/google-actions-response.interface';
import { GoogleActionsProvider } from './google-action.provider';
import { WebHookConfig } from '../interfaces/web-hook-config.interface';
export declare class GoogleActionsController {
    private readonly googleActionsProvider;
    constructor(googleActionsProvider: GoogleActionsProvider);
    static forRoot(webHookConfig: WebHookConfig): typeof GoogleActionsController;
    googleActionsWebHook(googleActionsResponse: GoogleActionsResponse, res: any): Promise<any>;
}
