"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GoogleActionsParam = void 0;
require("reflect-metadata");
const constant_1 = require("../constant");
const GoogleActionsParam = (property) => {
    return (target, key, index) => {
        const metadataValue = Reflect.getMetadata(constant_1.GOOGLE_ACTION_PARAMS, target) || [];
        metadataValue.push({ key, property, index });
        Reflect.defineMetadata(constant_1.GOOGLE_ACTION_PARAMS, metadataValue, target);
        return target;
    };
};
exports.GoogleActionsParam = GoogleActionsParam;
